<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>All Inputs</title>
</head>
<body>
    <form >
        <section>
            <p>Datalist</p>
            <fieldset>
                <label for="inputLista">Lista de colores</label>
                <input list="listacolores" name="inputLista">
                <datalist id="listacolores">
                    <option value="Azul">
                    <option value="Rojo">
                    <option value="Amarillo">
                    <option value="Negro">
                    <option value="Blanco">
                </datalist>
            </fieldset>
        </section>
        <section>
            <p>Url input</p>
            <fieldset>
                <label for="url">Lista urls</label>
                <input type="url" id="url" name="url" 
                    placeholder="httpss://example.com"
                    pattern="https://.*" size="30"
                    list="listaurls" required>
                <datalist id="listaurls">
                    <option value="https://www.google.com" label="by google">
                    <option value="https://wwww.msn.com" label="by ms">
                </datalist>
            </fieldset>
        </section>
        <section>
            <p>Range</p>
            <fieldset>
                <label for="range">Rangos</label>
                <input type="range" list="listanums" step="1" name="range" max="6" min="0">
                <datalist id="listanums">
                    <option value="0" label="cero">
                    <option value="1" label="uno">
                    <option value="2" label="dos">
                    <option value="3" label="tres">
                    <option value="4" label="cuatro">                           
                    <option value="5" label="cinco">
                </datalist>
            </fieldset>
        </section>
        <section>
            <p>Phone</p>
            <fieldset>
                <label for="phone">Numero de telefono</label>
                <input type="tel" id="phone" name="phone"
                pattern="\([0-9]{3}\) [0-9]{3}[ -][0-9]{4}" 
                title="A valid telephone number consist of a 3 digits code area between brackets, a space, the three first digits of the number, a space or hypen (-), and four more digits"
                required>
            </fieldset>
        </section>
        <section>
            <p>Color</p>
            <fieldset>
                <label for="background-color">Choose a Color</label>
                <input type="color" id="color" name="color" list="colors" required>
                <datalist id="colors">
                    <option>#ff0000</option>
                    <option>#0000ff</option>
                    <option>#00ff00</option>
                    <option>#ffff00</option>
                    <option>#00ffff</option>
                  </datalist>
            </fieldset>
        </section>
        <section>
            <p>Number</p>
            <fieldset>
                <label for="edad">Edad</label>
                <input type="number" id="number" name="number"
                    min="5" max="30" step="5" value="5"
                    required>
            </fieldset>
        </section>
        <section>
            <p>Search</p>
            <fieldset>
                <label for="ssearch">Serach</label>
                <input type="search" id="search" name="serach">
            </fieldset>
        </section>
        <section>
            <p>Email</p>
            <fieldset>
                <label for="email">Email</label>
                <input type="email" size="40" list="defaultEmails">
                <datalist id="defaultEmails">
                  <option value="jbond007@mi6.defence.gov.uk">
                  <option value="jbourne@unknown.net">
                  <option value="nfury@shield.org">
                  <option value="tony@starkindustries.com">
                  <option value="hulk@grrrrrrrr.arg">
                </datalist>
            </fieldset>
        </section>
        <section>
            <p>Date</p>
            <fieldset>
                <label for="date">Cumpleaños</label>
                <input type="date" name="party" min="1990-01-01" max="2000-01-01" required>
            </fieldset>
        </section>
        <br>
        <input type="submit" name="btn_enviar" value="Enviar">
        <input type="reset" name="btn_limpiar" value="limpiar">
    </form>
</body>
</html>